Bug 46912 - netscape "remote" window startup doesn't work, cripples other stuff
netscape "remote" window startup doesn't work, cripples other stuff
Product: Red Hat Linux
Classification: Retired
Component: netscape (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2001-07-02 00:44 EDT by Alexander L. Belikoff
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-02 00:45:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexander L. Belikoff 2001-07-02 00:44:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.5-10smp i686; en-US; rv:0.9.1)

Description of problem:
Many programs "activate" URLs by calling netscape on them. Since netscape
may fully run only as a single instance, it has a way to "pass" the URL to
the "running" copy of netscape, which would spawn a new window with the
aforementioned URL. Below is an example of such "new window" invocation:

netscape -install -remote 'openUrl(http://www.redhat.com,new-window)'

KDE both in beta1 and in 7.1 breaks this feature. An attempt to spawn a new
window results in one of the following outcomes:

- it effectively starts a new instance of netscape, which complains about
the fact and is not capable to update bookmarks.

- it exits with the following error:

netscape-communicator: root window has no children on display :0.0

How reproducible:

Steps to Reproduce:
1.Start KDE, start emacs, start GNUS
2.Start netscape
3.In GNUS, find some article w/ URL (it'll be marked as "active") and
middle-click on it.

Actual Results:  One of the errors above

Expected Results:  Netscape is supposed to spawn another window w/ the URL

Additional info:

This problem has been discussed for a while on the KDE forum - it seems to
be due to screwed up way kwm handles the root window.
Comment 1 Bernhard Rosenkraenzer 2001-07-03 15:47:06 EDT
Looks like netscape can't handle the perfectly valid things kdesktop and kwin 
do to the root window.

Without access to the Netscape source, we can't fix it - and without access to 
the Netscape source, it'll be VERY hard to figure out what's causing it and 
possibly put a workaround into KDE.

Note You need to log in before you can comment on or make changes to this bug.